/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2008 by Witz Corporation, JAPAN
 *  Copyright (C) 2010, 2011 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEEρE
 *  ĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒쌠
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[X
 *      R[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎgp
 *      ł`ōĔzzꍇɂ́CĔzzɔhLgip҃}
 *      jAȂǁjɁCL̒쌠\C̗pщL̖
 *      ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎgp
 *      łȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNgɕ
 *        邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD܂C
 *      {\tgEFÃ[U܂̓Gh[ÛȂ闝RɊ
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړIɑ΂
 *  K܂߂āCȂۏ؂sȂD܂C{\tgEFA̗p
 *  ɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC
 *  ȂD
 * 
 */

/*
 *		vZbTˑW[iR8C/23pj
 *
 *  ̃CN[ht@ĆCtarget_config.h ݂̂CN[hD
 *  ̃t@C璼ڃCN[hĂ͂ȂȂD
 */


#ifndef TOPPERS_R8C23_CONFIG_H
#define TOPPERS_R8C23_CONFIG_H

/*
 *  ݔԍ̍ől
 */
#define INTNO_MAX	UINT_C(64)



/*
 *  ݐ䃌WX^e[u
 */

#define INTC_TABLE_DATA 	\
	/* 0- */            	\
	(volatile uint8_t *)NULL ,              	/* BRK */				\
	(volatile uint8_t *)NULL ,              	/* Reserved */				\
	(volatile uint8_t *)NULL ,              	/* Reserved */				\
	(volatile uint8_t *)TADR_C01WKIC ,  	/* CAN0 EFCNAbv */	\
	(volatile uint8_t *)TADR_C0RECIC ,  	/* CAN0 M */			\
	(volatile uint8_t *)TADR_C0TRMIC ,  	/* CAN0 M */			\
	(volatile uint8_t *)TADR_C01ERRIC , 	/* CAN0 G[ */			\
	(volatile uint8_t *)NULL ,              	/* Reserved */				\
	/* 8- */            	\
	(volatile uint8_t *)TADR_TRD0IC ,   	/* ^C}RD(`l0) */	\
	(volatile uint8_t *)TADR_TRD1IC ,   	/* ^C}RD(`l1)	*/	\
	(volatile uint8_t *)TADR_TREIC ,    	/* ^C}RE	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)TADR_KUPIC ,    	/* L[͊	*/		\
	(volatile uint8_t *)TADR_ADIC ,     	/* ADRo[^	*/			\
	(volatile uint8_t *)TADR_IICIC ,    	/* `bvZNgtNbN^VAIO/
	                                        	   I2CoXC^tF[X	*/ \
	/* 16- */           	\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)TADR_S0TIC ,    	/* UART0M */				\
	(volatile uint8_t *)TADR_S0RIC ,    	/* UART0M */				\
	(volatile uint8_t *)TADR_S1TIC ,    	/* UART1M */				\
	(volatile uint8_t *)TADR_S1RIC ,    	/* UART1M */				\
	(volatile uint8_t *)TADR_INT2IC ,   	/* INT2	*/					\
	(volatile uint8_t *)TADR_TRAIC ,    	/* ^C}RA	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	/* 24- */            	\
	(volatile uint8_t *)TADR_TRBIC,     	/* ^C}RB	*/				\
	(volatile uint8_t *)TADR_INT1IC,    	/* INT1	*/					\
	(volatile uint8_t *)TADR_INT3IC,    	/* INT5	*/					\
	(volatile uint8_t *)NULL,               	/* Reserved	*/				\
	(volatile uint8_t *)NULL,               	/* Reserved	*/				\
	(volatile uint8_t *)TADR_INT0IC,    	/* INT0	*/					\
	(volatile uint8_t *)NULL,               	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	/* 32- */           	\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	/* 40- */           	\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	/* 48- */           	\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	/* 56- */           	\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved	*/				\
	(volatile uint8_t *)NULL ,              	/* Reserved */

/*
 *  vZbT̓ꖽ߂̃CC֐`
 */
#include "m16c_insn.h"


#include "prc_config.h"

#endif	/* TOPPERS_R8C23_CONFIG_H */
